using Sandbox;

namespace VeloX;

public abstract partial class VeloXBase
{
	//[Property, Feature( "Input" ), InputAction] string ThrottleInput { get; set; } = "Forward";
	[Property, Feature( "Input" )] internal InputResolver Input { get; set; } = new();
	[Property, Feature( "Input" )] public GameObject Driver { get => Input.Driver; set => Input.Driver = value; }

}
